Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.connection
Class ChannelOutputStream

    java.lang.Object
      java.io.OutputStream
          com.sshtools.j2ssh.connection.ChannelOutputStream

public class ChannelOutputStream
extends java.io.OutputStream

DOCUMENT ME!

Constructor Summary
`ChannelOutputStream(Channel channel)` Creates a new ChannelOutputStream object.
`ChannelOutputStream(Channel channel, java.lang.Integer type)` Creates a new ChannelOutputStream object.

Method Summary
`void` | `close()` DOCUMENT ME!
`boolean` | `isClosed()` DOCUMENT ME!
`void` | `write(byte[] b, int off, int len)` DOCUMENT ME!
`void` | `write(int b)` DOCUMENT ME!

Methods inherited from class java.io.OutputStream
`flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChannelOutputStream

    public ChannelOutputStream(Channel channel,
                               java.lang.Integer type)

  Creates a new ChannelOutputStream object.

Parameters:
  `channel` - DOCUMENT ME!
  `type` - DOCUMENT ME!

### ChannelOutputStream

    public ChannelOutputStream(Channel channel)

  Creates a new ChannelOutputStream object.

Parameters:
  `channel` - DOCUMENT ME!

Method Detail

### isClosed

    public boolean isClosed()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### close

    public void close()
               throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `b` - DOCUMENT ME!
    `off` - DOCUMENT ME!
    `len` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### write

    public void write(int b)
               throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `b` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD